Bug 296912 - Sorting and filtering interact badly in Channel List views
Summary: Sorting and filtering interact badly in Channel List views
Status: RESOLVED FIXED
Alias: None
Product: konversation
Classification: Unclassified
Component: general (show other bugs)
Version: 1.5-rc1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Travis McHenry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 19:27 UTC by Nicolás Alvarez
Modified: 2013-09-14 22:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolás Alvarez 2012-03-27 19:27:45 UTC
Steps to reproduce:
- Open the channel list
- Sort by user count
- Enter a filter string (like 'debian')
- Sort by name
- Remove the filter

The list is now *not* sorted by name. It seems channels matching the filter are in order, and channels not matching the filter are in order, but those two subsets are mixed together.
Comment 1 Travis McHenry 2012-04-12 04:27:58 UTC
Confirmed, I'll be working on figuring out a nice solution for it over the next couple of days. Thanks for the report. :)
Comment 2 Travis McHenry 2013-09-14 12:38:42 UTC
Git commit 7807048f9d1ab3c5c8330f5ca05caa0ae955709a by Travis McHenry.
Committed on 14/09/2013 at 12:26.
Pushed by tjmchenry into branch 'master'.

Fix sort/filter bug in Channel List View

M  +1    -1    src/irc/channellistpanel.cpp

http://commits.kde.org/konversation/7807048f9d1ab3c5c8330f5ca05caa0ae955709a
Comment 3 Travis McHenry 2013-09-14 22:37:20 UTC
Git commit 65ee2d4295ff321e70791297d66e5530e8208182 by Travis McHenry.
Committed on 14/09/2013 at 12:26.
Pushed by tjmchenry into branch '1.5'.

Fix sort/filter bug in Channel List View

M  +1    -1    src/irc/channellistpanel.cpp

http://commits.kde.org/konversation/65ee2d4295ff321e70791297d66e5530e8208182